edu.sc.seis.sod.status

## Class StringTreeLeaf

- java.lang.Object
- - edu.sc.seis.sod.status.StringTree
  - - edu.sc.seis.sod.status.StringTreeLeaf

- Direct Known Subclasses:
    Fail, Pass, ShortCircuit

      public class StringTreeLeaf
      extends StringTree

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `reason`
    `protected java.lang.Throwable` | `t`

    - ### Fields inherited from class edu.sc.seis.sod.status.StringTree

      `actorName, FAIL, OK, status`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringTreeLeaf(java.lang.Object actor, boolean boo)`
    `StringTreeLeaf(java.lang.Object actor, boolean status, java.lang.String reason)`
    `StringTreeLeaf(java.lang.Object actor, boolean status, java.lang.String reason, java.lang.Throwable t)`
    `StringTreeLeaf(java.lang.String name, boolean boo)`
    `StringTreeLeaf(java.lang.String actorName, boolean status, java.lang.String reason, java.lang.Throwable t)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getReason()`
    `java.lang.Throwable` | `getThrowable()`
    `java.lang.String` | `toString(int indentationLevel)`

    - ### Methods inherited from class edu.sc.seis.sod.status.StringTree

      `getIndent, isSuccess, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### reason

          protected java.lang.String reason

    - #### t

          protected java.lang.Throwable t

  - ### Constructor Detail

    - #### StringTreeLeaf

          public StringTreeLeaf(java.lang.Object actor,
                                boolean status,
                                java.lang.String reason)

    - #### StringTreeLeaf

          public StringTreeLeaf(java.lang.Object actor,
                                boolean status,
                                java.lang.String reason,
                                java.lang.Throwable t)

    - #### StringTreeLeaf

          public StringTreeLeaf(java.lang.String actorName,
                                boolean status,
                                java.lang.String reason,
                                java.lang.Throwable t)

    - #### StringTreeLeaf

          public StringTreeLeaf(java.lang.Object actor,
                                boolean boo)

    - #### StringTreeLeaf

          public StringTreeLeaf(java.lang.String name,
                                boolean boo)

  - ### Method Detail

    - #### toString

          public java.lang.String toString(int indentationLevel)

      Overrides:
        `toString` in class `StringTree`

    - #### getReason

          public java.lang.String getReason()

    - #### getThrowable

          public java.lang.Throwable getThrowable()